<script>
import ProceedingStatisticsProceedingsByYears from "./ProceedingStatisticsProceedingsByYears.vue";
import ProceedingStatisticsProceedingsByTopics from "./ProceedingStatisticsProceedingsByTopics.vue";
import ProceedingStatisticsProceedingsByDistricts from "./ProceedingStatisticsProceedingsByDistricts.vue";

export default {
  name: "ProceedingStatistics",
  components: {
    ProceedingStatisticsProceedingsByYears,
    ProceedingStatisticsProceedingsByTopics,
    ProceedingStatisticsProceedingsByDistricts
  },
  computed: {
    proceedings () {
      return this.$store.getters.projectlist;
    }
  },
  methods: {
    setDisplayType (type) {
      Object.values(this.$refs).forEach(ref => ref.setDisplayType(type));
    }
  }
};
</script>

<template>
  <div class="ProceedingStatistics">
    <div class="proceedingsTotal">
      <p>{{ $t("components.ProceedingStatistics.proceedingsTotal") }}: {{ proceedings.length }}</p>
    </div>

    <ProceedingStatisticsProceedingsByYears ref="ProceedingStatisticsProceedingsByYears" />

    <hr />

    <ProceedingStatisticsProceedingsByTopics ref="ProceedingStatisticsProceedingsByTopics" />

    <hr />

    <ProceedingStatisticsProceedingsByDistricts ref="ProceedingStatisticsProceedingsByDistricts" />
  </div>
</template>

<style lang="scss">
@import "../../../scss/_global.scss";

div.ProceedingStatistics {
  div.proceedingsTotal {
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    background-color: $color_secondary_5;
    height: 36px;
    margin-bottom: 15px;

    p {
      @extend %fontdefinition_headline_2;
      margin: 0;
    }
  }

  & > section {
    h3 {
      @extend %fontdefinition_subline;
    }
  }

  hr {
    width: 75%;
    border-top: solid 1px $color_primary_1;
    margin: 20px auto;
  }

  table {
    td, th {
      border: solid 1px $color_secondary_3;
      padding: 0 5px;
      text-align: center
    }
    th:nth-child(1), td:nth-child(1) {
      text-align: left;
    }
  }
}
</style>
